All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dualselector
Class BaseDualSelector

    com.sas.servlet.tbeans.dualselector.BaseDualSelector

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, DualSelectorKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  DualSelector

    public abstract class BaseDualSelector

implements DualSelectorKeysInterface

Transformation bean base object for creating Dual Selectors

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `imageLocation`

Fields inherited from interface com.sas.servlet.tbeans.dualselector.DualSelectorKeysInterface
`DUALSELECTOR, DUALSELECTOR_DOWN_BUTTON, DUALSELECTOR_LEFT_ALL_BUTTON, DUALSELECTOR_LEFT_BUTTON, DUALSELECTOR_RIGHT_ALL_BUTTON, DUALSELECTOR_RIGHT_BUTTON, DUALSELECTOR_SOURCE, DUALSELECTOR_SOURCE_LABEL, DUALSELECTOR_SUBMIT_BUTTON, DUALSELECTOR_TARGET, DUALSELECTOR_TARGET_LABEL, DUALSELECTOR_UP_BUTTON`

Constructor Summary
`BaseDualSelector()`

Method Summary
`java.lang.String` | `getImageLocation()` Returns the image location used for the button images.
`boolean` | `getMultipleSelections()` Gets the multiple selection property
`int` | `getSize()` Returns the size attribute
`BaseLabel` | `getSourceLabel()` Gets the displayed label associated with the source listbox
`BaseLabel` | `getTargetLabel()` Gets the displayed label associated with the target listbox
`int` | `getTargetMaximumCount()` Returns the maximum number of target items.
`boolean` | `isStaticSourceAllowed()` Returns true if the source is static, false otherwise.
`boolean` | `isSubmitButtonVisible()` Returns whether or not the submit button is visible.
`boolean` | `isTargetButtonsVisible()` Returns whether or not the move up and move down buttons for target component are visible.
`boolean` | `isTargetDuplicateAllowed()` Returns true if the target allows duplicate items, false otherwise.
`boolean` | `isTransferAllButtonVisible()` Returns whether or not the move all button is visible.
`void` | `setImageLocation(java.lang.String location)` Sets the location of the images needed for the default images used on the moveRight, moveAllRight, moveLeft, moveAllLeft, moveUp and moveDown buttons.
`void` | `setMultipleSelections(boolean value)` Sets the multiple selection property allowing multiple selections of the values.
`void` | `setSize(int value)` Sets the size on the source and target components where applied (eg.
`void` | `setStaticSourceAllowed(boolean staticSrc)` Determines if the source is static, if true the item in the source list will remain on the list.
`void` | `setSubmitButtonVisible(boolean value)` Determines whether or not the submit button will be visible.
`void` | `setTargetButtonsVisible(boolean value)` Sets whether or not the move up and move down buttons for the target component will be visible.
`void` | `setTargetDuplicateAllowed(boolean duplicate)` Determines if the target allows duplicate item(s).
`void` | `setTargetMaximumCount(int max)` Sets the maximum number of target items.
`void` | `setTransferAllButtonVisible(boolean value)` Sets whether or not the move all buttons will be visible.

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setActionProvider, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, write, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### imageLocation

    protected java.lang.String imageLocation

Constructor Detail

### BaseDualSelector

    public BaseDualSelector()

Method Detail

### setTargetButtonsVisible

    public void setTargetButtonsVisible(boolean value)

  Sets whether or not the move up and move down buttons for the target component will be visible.

  Parameters:
    `value` - true if buttons are visible, false otherwise
  See Also:
    `isTargetButtonsVisible()`

### isTargetButtonsVisible

    public boolean isTargetButtonsVisible()

  Returns whether or not the move up and move down buttons for target component are visible.

  Returns:
    true if buttons are visible, false otherwise
  See Also:
    `setTargetButtonsVisible(boolean)`

### setTransferAllButtonVisible

    public void setTransferAllButtonVisible(boolean value)

  Sets whether or not the move all buttons will be visible.

  Parameters:
    `value` - true if button is visible, false otherwise
  See Also:
    `isTransferAllButtonVisible()`

### isTransferAllButtonVisible

    public boolean isTransferAllButtonVisible()

  Returns whether or not the move all button is visible.

  Returns:
    true if move all button is visible, false otherwise
  See Also:
    `setTransferAllButtonVisible(boolean)`

### setSubmitButtonVisible

    public void setSubmitButtonVisible(boolean value)

  Determines whether or not the submit button will be visible. The default is true.

  Parameters:
    `value` - true if submit button is visible, false otherwise
  See Also:
    `isSubmitButtonVisible()`

### isSubmitButtonVisible

    public boolean isSubmitButtonVisible()

  Returns whether or not the submit button is visible.

  Returns:
    true if the submit button is visible, false otherwise
  See Also:
    `setSubmitButtonVisible(boolean)`

### getSourceLabel

    public BaseLabel getSourceLabel()

  Gets the displayed label associated with the source listbox

  Returns:
    The label

### getTargetLabel

    public BaseLabel getTargetLabel()

  Gets the displayed label associated with the target listbox

  Returns:
    The label

### setStaticSourceAllowed

    public void setStaticSourceAllowed(boolean staticSrc)

  Determines if the source is static, if true the item in the source list will remain on the list. The default value is false.

  Parameters:
    `staticSrc` - true if source is static, false otherwise

### isStaticSourceAllowed

    public boolean isStaticSourceAllowed()

  Returns true if the source is static, false otherwise. The default is false.

  Returns:
    true if source is static, false otherwise

### setTargetDuplicateAllowed

    public void setTargetDuplicateAllowed(boolean duplicate)

  Determines if the target allows duplicate item(s). The default value is false.

  Parameters:
    `duplicate` - true if target allows duplicates, false otherwise

### isTargetDuplicateAllowed

    public boolean isTargetDuplicateAllowed()

  Returns true if the target allows duplicate items, false otherwise. The default is false.

  Returns:
    true if target allows duplicates, false otherwise
  See Also:
    `setTargetMaximumCount(int)`

### setTargetMaximumCount

    public void setTargetMaximumCount(int max)

  Sets the maximum number of target items.

  Parameters:
    `max` - the maximum number of target items.
  See Also:
    `getTargetMaximumCount()`

### getTargetMaximumCount

    public int getTargetMaximumCount()

  Returns the maximum number of target items.

  Returns:
    the maximum number of target items.
  See Also:
    `setTargetMaximumCount(int)`

### setMultipleSelections

    public void setMultipleSelections(boolean value)

  Sets the multiple selection property allowing multiple selections of the values.

  Parameters:
    `value` - true if multiple selections are allowed
  See Also:
    `getMultipleSelections()`

### getMultipleSelections

    public boolean getMultipleSelections()

  Gets the multiple selection property

  Returns:
    true if multiple selections are allowed
  See Also:
    `setMultipleSelections(boolean)`

### setImageLocation

    public void setImageLocation(java.lang.String location)

  Sets the location of the images needed for the default images used on the moveRight, moveAllRight, moveLeft, moveAllLeft, moveUp and moveDown buttons. The location can be a fully qualified URL or a relative location. For example, setImageLocation("images/").

  Parameters:
    `location` - the location/path of the images
  See Also:
    `getImageLocation()`

### getImageLocation

    public java.lang.String getImageLocation()

  Returns the image location used for the button images.

  Returns:
    the image location
  See Also:
    `setImageLocation(String)`

### setSize

    public void setSize(int value)

  Sets the size on the source and target components where applied (eg. ListBox)

  Parameters:
    `size` - The maximum number of values visible to the user
  See Also:
    `getSize()`

### getSize

    public int getSize()

  Returns the size attribute

  Returns:
    The maximum number of values visible to the user
  See Also:
    `setSize(int)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.